<app-page-data-list
  [pageTitle]="'مدیریت کاربران'"
  [addNewCtaLabel]="'افزودن کاربر'"
  [columns]="columns"
  emptyPlaceholderTitle="کاربری یافت نشد"
  emptyPlaceholderDescription="برای افزودن کاربر، روی دکمهٔ بالا کلیک کنید."
  [items]="items()"
  [loading]="loading()"
  [showIndex]="false"
  [showAdd]="true"
  [showEdit]="true"
  (onAdd)="openAddForm()"
  (onEdit)="onEditClick($event)"
  (onRefresh)="refresh()"
/>
<superAdmin-user-form
  [(visible)]="visibleForm"
  [editMode]="editMode()"
  [initialValues]="selectedItemForEdit() || undefined"
  [userId]="selectedItemForEdit()?.id || ''"
  (onSubmit)="refresh()"
/>
